#! /usr/bin/python
# Copyright (C) 2006 by Intevation GmbH
# Authors:
# Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""The Setup rules for InteProxy

Usage:

python setup.py py2exe
    This obviously makes only sense on a Windows platform.
"""

from distutils.core import setup
import py2exe

setup(console=['InteProxy.py'],
	windows = [
		{
			'script': 'InteProxy.py',
			#'icon_resources': [(1, "inteproxy.ico")],
		}
		],
	options= {
	"py2exe": {
		"includes": "cairo, pango, pangocairo, atk, gobject"
		}
	},
	data_files=[("share/images", ["share/images/InteProxy-icon.png",
				      "share/images/InteProxy-logo.png"])],
	)
